Google Web Toolkit
Search Google Code:

# Interface WindowCloseListener

public interface WindowCloseListener
extends EventListener
Implement this interface to receive closing events from the browser window.

## Methods

onWindowClosed() | Fired after the browser window closes or navigates to a different site.
onWindowClosing() | Fired just before the browser window closes or navigates to a different site.

## See Also

Window.addWindowCloseListener(WindowCloseListener)

## Method Detail

### onWindowClosed

public void onWindowClosed()
Fired after the browser window closes or navigates to a different site. This event cannot be cancelled, and is used mainly to clean up application state and/or save state to the server.

### onWindowClosing

public String onWindowClosing()
Fired just before the browser window closes or navigates to a different site. No user-interface may be displayed during shutdown.

#### Return Value

non-`null` to present a confirmation dialog that asks the user whether or not she wishes to navigate away from the page. The string returned will be displayed in the close confirmation dialog box. If multiple listeners return messages, the first will be displayed; all others will be ignored.